Bug 1886249 - Kernel 5.8.13-200 will not boot. Stops at "clocksource: Switched to clocksource tsc"
Summary: Kernel 5.8.13-200 will not boot. Stops at "clocksource: Switched to clocksour...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 32
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: https://fedoraproject.org/wiki/Common...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-08 04:03 UTC by Brenden Wood
Modified: 2021-05-25 16:51 UTC (History)
22 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:51:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Brenden Wood 2020-10-08 04:03:22 UTC
1. Please describe the problem:
Microsoft Surface Go 2 cannot boot new kernel.
I suspect the problem is because of the following commit: https://lore.kernel.org/linux-arm-kernel/20200817092428.6176-1-tony@atomide.com/
My system seems to stop at "clocksource: Switched to clocksource tsc" when trying to boot the kernel

2. What is the Version-Release number of the kernel:
5.8.13-200


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :
Worked find on kernel 5.8.12 which was prior to the abovementioned commit.

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:
Install kernel 5.8.13-200 on Surface GO 2 or other system with Intel Pentium Gold 4425Y CPU

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:
Not yet tested. Will attempt and update ticket

6. Are you running any modules that not shipped with directly Fedora's kernel?:
No. Stock kernel.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.
Kernel does not get far enough through boot process to log the failure.

Comment 1 Brenden Wood 2020-10-08 05:10:55 UTC
Another user of the same hardware (Microsoft Surface Go 2) in the Surface Linux subreddit has confirmed that the issue is affecting kernel 5.8.13 on Arch Linux too.

https://www.reddit.com/r/SurfaceLinux/comments/j71vyl/surface_go_2_wont_boot_kernel_after_update_to/g82watc?utm_source=share&utm_medium=web2x&context=3

This seems to be directly a kernel issue but I'm not sure how to file a bug with kernel devs

Comment 2 Brenden Wood 2020-10-14 04:13:47 UTC
There seems to be some investigation of this issue already under way here: 
https://github.com/linux-surface/kernel/issues/63

Comment 3 Hans de Goede 2020-10-14 09:28:46 UTC
> There seems to be some investigation of this issue already under way here: 
> https://github.com/linux-surface/kernel/issues/63

Thanks, I've replied to the thread there. Hopefully someone will run a bisect and we can pinpoint the exact commit causing this soon.

Comment 4 Hans de Goede 2020-10-16 10:52:47 UTC
Sorry about the regression. A patch fixing this has been posted upstream, see:

https://lore.kernel.org/linux-i2c/20201014144158.18036-1-hdegoede@redhat.com/
https://lore.kernel.org/linux-i2c/20201014144158.18036-2-hdegoede@redhat.com/

I've added the fix for this as a downstream patch to the Fedora kernels for now. The fix will hopefully show up in the upstream stable releases soon.

Comment 5 Fedora Update System 2020-10-20 11:50:21 UTC
FEDORA-2020-8c65b883c8 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c65b883c8

Comment 6 Fedora Update System 2020-10-20 19:00:52 UTC
FEDORA-2020-8c65b883c8 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8c65b883c8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8c65b883c8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Blocker Bugs Application 2020-10-21 09:58:11 UTC
Proposed as a Freeze Exception for 33-final by Fedora user frantisekz using the blocker tracking app because:

 If we're doing a respin for the shim bug, we can try and pull this one in.

Comment 8 Brenden Wood 2020-10-21 23:47:39 UTC
I've tested the kernel on my Surface Go 2 by running: 
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8c65b883c8` 

Everything seems to be working great and I no longer experience the problem. Thanks to everyone involved in getting this fixed.

Comment 9 Adam Williamson 2020-10-23 21:20:48 UTC
F33 final is signed off, so there's no point to FE status any more.

Comment 10 Fedora Update System 2020-10-23 22:40:33 UTC
FEDORA-2020-8c65b883c8 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Program Management 2021-04-29 16:40:17 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2021-05-25 16:51:00 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.